com.microfocus.awm.core.internal.util

## Class ApplicationPropertyFactory

- java.lang.Object
- - com.microfocus.awm.core.internal.util.ApplicationPropertyFactory

-     public class ApplicationPropertyFactory
      extends java.lang.Object

  Helper class for the creation of `IApplicationProperty`s and handling the corresponding `IApplicationPropertyProxy`s.

  This is an internal class which must NOT used or extended by clients.

  Author:
    NicolasP

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addApplicationPropertyProxy(ITaurusApplication pApplication, IApplicationPropertyProxy pApplicationPropertyProxy)` Adds an `IApplicationPropertyProxy` to the corresponding `ITaurusApplication`.
    `IApplicationProperty` | `createApplicationProperty(ITaurusApplication pApplication, Property pProperty)` Creates an `IApplicationProperty`.
    `java.util.Collection<IApplicationPropertyProxy>` | `getApplicationPropertyProxies(ITaurusApplication pApplication)` Returns a `Collection` of `IApplicationPropertyProxy`s for the given `ITaurusApplication`
    `java.util.Map<ITaurusApplication,java.util.Collection<IApplicationPropertyProxy>>` | `getApplicationPropertyProxyMap()` Gets a `Map` containing `ITaurusApplication`s with their corresponding `IApplicationPropertyProxy`s.
    `static ApplicationPropertyFactory` | `getInstance()`
    `void` | `removeApplicationPropertyProxy(ITaurusApplication pApplication, IApplicationPropertyProxy pApplicationPropertyProxy)` Removes an `IApplicationPropertyProxy` of the mapping to the `ITaurusApplication`.
    `void` | `setApplicationPropertyProxies(ITaurusApplication pApplication, java.util.Collection<IApplicationPropertyProxy> pApplicationPropertyProxies)` Sets a `Collection` of `IApplicationPropertyProxy`s to the corresponding `ITaurusApplication`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ApplicationPropertyFactory getInstance()

      Returns:
        a singleton instance of `ApplicationPropertyFactory`

    - #### createApplicationProperty

          public IApplicationProperty createApplicationProperty(ITaurusApplication pApplication,
                                                                Property pProperty)

      Creates an `IApplicationProperty`. If no `ApplicationPropertyProxy` is set for the given `Property`, an `ApplicationProperty` will be created. Else based on the `ApplicationPropertyProxy`, either an `ApplicationProperty` or a `MasterConfigurationProperty` is created.
      Parameters:
        `pApplication` - the `ITaurusApplication`
        `pProperty` - the `Property` for which an `IApplicationProperty` should be created.
      Returns:
        either a `MasterConfigurationProperty` or `ApplicationProperty`.

    - #### getApplicationPropertyProxyMap

          public java.util.Map<ITaurusApplication,java.util.Collection<IApplicationPropertyProxy>> getApplicationPropertyProxyMap()

      Gets a `Map` containing `ITaurusApplication`s with their corresponding `IApplicationPropertyProxy`s.
      Returns:
        the `Map` containing `ITaurusApplication`s with their corresponding `IApplicationPropertyProxy`s.

    - #### setApplicationPropertyProxies

          public void setApplicationPropertyProxies(ITaurusApplication pApplication,
                                                    java.util.Collection<IApplicationPropertyProxy> pApplicationPropertyProxies)

      Sets a `Collection` of `IApplicationPropertyProxy`s to the corresponding `ITaurusApplication`.

      The currently set `IApplicationPropertyProxy`s will be overridden.

      Parameters:
        `pApplication` - the given `ITaurusApplication`
        `pApplicationPropertyProxies` - a `Collection` of `IApplicationPropertyProxy`

    - #### addApplicationPropertyProxy

          public void addApplicationPropertyProxy(ITaurusApplication pApplication,
                                                  IApplicationPropertyProxy pApplicationPropertyProxy)

      Adds an `IApplicationPropertyProxy` to the corresponding `ITaurusApplication`.
      Parameters:
        `pApplication` - the given `ITaurusApplication`
        `pApplicationPropertyProxy` - the `IApplicationPropertyProxy` which should be added.

    - #### removeApplicationPropertyProxy

          public void removeApplicationPropertyProxy(ITaurusApplication pApplication,
                                                     IApplicationPropertyProxy pApplicationPropertyProxy)

      Removes an `IApplicationPropertyProxy` of the mapping to the `ITaurusApplication`.
      Parameters:
        `pApplication` - the given `ITaurusApplication`
        `pApplicationPropertyProxy` - the proxy which will be removed from the mapping tothe `ITaurusApplication`

    - #### getApplicationPropertyProxies

          public java.util.Collection<IApplicationPropertyProxy> getApplicationPropertyProxies(ITaurusApplication pApplication)

      Returns a `Collection` of `IApplicationPropertyProxy`s for the given `ITaurusApplication`
      Parameters:
        `pApplication` - the given `ITaurusApplication`
      Returns:
        a `Collection` of `IApplicationPropertyProxy`s or `null` if no `Collection` for the given `ITaurusApplication` exists.

Copyright © 2015 Micro Focus GmbH. All rights reserved.